# Interface PlanarSurface

All Superinterfaces:
  `Surface`

All Known Implementing Classes:
  `PlaneSurface, TimeSurface`

public interface PlanarSurface extends Surface
Sub-interface of Surface for surface types that are basically two-dimensional and Cartesian.

Since:
  5 Dec 2016
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Axis[]`
`getAxes()`
Returns the axis objects used by this surface.
`double[][]`
`getDataLimits()`
Returns the limits in data coordinates of the plot region.
`boolean[]`
`getFlipFlags()`
Indicates which axes are reversed.
`Scale[]`
`getScales()`
Indicates the scaling along the two axes.
`boolean[]`
`getTimeFlags()`
Indicates which axes represent time values.

### Methods inherited from interface Surface

`dataToGraphics, dataToGraphicsOffset, formatPosition, getCaptioner, getDataDimCount, getPlotBounds, getSurround, graphicsToData, isContinuousLine, paintBackground, paintForeground`

## Method Details

### getScales

Scale[] getScales()
Indicates the scaling along the two axes.

Returns:
  2-element array giving horizontal, vertical axis scales

### getFlipFlags

boolean[] getFlipFlags()
Indicates which axes are reversed.

Returns:
  2-element array giving horizontal, vertical flip flags; true to invert normal plot direction

### getTimeFlags

boolean[] getTimeFlags()
Indicates which axes represent time values.

Returns:
  2-element array giving horizontal, vertical time flags; true for time axis with data units of seconds, false for normal numeric axis

### getAxes

Axis[] getAxes()
Returns the axis objects used by this surface.

Returns:
  2-element array giving horizontal, vertical axis instances

### getDataLimits

double[][] getDataLimits()
Returns the limits in data coordinates of the plot region.

Returns:
  2x2 array `{{xlo, xhi}, {ylo, yhi}}`